Package org.springframework.http.converter.feed

# Class AbstractWireFeedHttpMessageConverter<T extends com.rometools.rome.feed.WireFeed>

java.lang.Object
org.springframework.http.converter.AbstractHttpMessageConverter<T>
org.springframework.http.converter.feed.AbstractWireFeedHttpMessageConverter<T>

Type Parameters:
  `T` - the converted object type

All Implemented Interfaces:
  `HttpMessageConverter<T>`

Direct Known Subclasses:
  `AtomFeedHttpMessageConverter`, `RssChannelHttpMessageConverter`

public abstract class AbstractWireFeedHttpMessageConverter<T extends com.rometools.rome.feed.WireFeed> extends AbstractHttpMessageConverter<T>
Abstract base class for Atom and RSS Feed message converters, using the ROME tools project.

NOTE: As of Spring 4.1, this is based on the `com.rometools` variant of ROME, version 1.5. Please upgrade your build dependency.

Since:
  3.0.2
Author:
  Arjen Poutsma
See Also:
  - `AtomFeedHttpMessageConverter`
  - `RssChannelHttpMessageConverter`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Charset`
`DEFAULT_CHARSET`
The default charset used by the converter.

### Fields inherited from class org.springframework.http.converter.AbstractHttpMessageConverter

`logger`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractWireFeedHttpMessageConverter(MediaType supportedMediaType)`

## Method Summary

Modifier and Type
Method
Description
`protected T`
`readInternal(Class<? extends T> clazz, HttpInputMessage inputMessage)`
Abstract template method that reads the actual object.
`protected boolean`
`supportsRepeatableWrites(T t)`
Indicates whether this message converter can write the given object multiple times.
`protected void`
`writeInternal(T wireFeed, HttpOutputMessage outputMessage)`
Abstract template method that writes the actual body.

### Methods inherited from class org.springframework.http.converter.AbstractHttpMessageConverter

`addDefaultHeaders, canRead, canRead, canWrite, canWrite, getContentLength, getDefaultCharset, getDefaultContentType, getSupportedMediaTypes, read, setDefaultCharset, setSupportedMediaTypes, supports, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.http.converter.HttpMessageConverter

`getSupportedMediaTypes`

## Field Details

### DEFAULT_CHARSET

public static final Charset DEFAULT_CHARSET
The default charset used by the converter.

## Constructor Details

### AbstractWireFeedHttpMessageConverter

protected AbstractWireFeedHttpMessageConverter(MediaType supportedMediaType)

## Method Details

### readInternal

protected T readInternal(Class<? extends T> clazz, HttpInputMessage inputMessage) throws IOException, HttpMessageNotReadableException
Description copied from class: `AbstractHttpMessageConverter`
Abstract template method that reads the actual object. Invoked from `AbstractHttpMessageConverter.read(java.lang.Class<? extends T>, org.springframework.http.HttpInputMessage)`.

Specified by:
  `readInternal` in class `AbstractHttpMessageConverter<T extends com.rometools.rome.feed.WireFeed>`
Parameters:
  `clazz` - the type of object to return
  `inputMessage` - the HTTP input message to read from
Returns:
  the converted object
Throws:
  `IOException` - in case of I/O errors
  `HttpMessageNotReadableException` - in case of conversion errors

### writeInternal

protected void writeInternal(T wireFeed, HttpOutputMessage outputMessage) throws IOException, HttpMessageNotWritableException
Description copied from class: `AbstractHttpMessageConverter`
Abstract template method that writes the actual body. Invoked from `AbstractHttpMessageConverter.write(T, org.springframework.http.MediaType, org.springframework.http.HttpOutputMessage)`.

Specified by:
  `writeInternal` in class `AbstractHttpMessageConverter<T extends com.rometools.rome.feed.WireFeed>`
Parameters:
  `wireFeed` - the object to write to the output message
  `outputMessage` - the HTTP output message to write to
Throws:
  `IOException` - in case of I/O errors
  `HttpMessageNotWritableException` - in case of conversion errors

### supportsRepeatableWrites

protected boolean supportsRepeatableWrites(T t)
Description copied from class: `AbstractHttpMessageConverter`
Indicates whether this message converter can write the given object multiple times.

The default implementation returns `false`.

Overrides:
  `supportsRepeatableWrites` in class `AbstractHttpMessageConverter<T extends com.rometools.rome.feed.WireFeed>`
Parameters:
  `t` - the object t
Returns:
  `true` if `t` can be written repeatedly; `false` otherwise